"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultSchemaLoader = void 0;
const graphql_1 = require("graphql");
const defaultSchemaLoader = (schemaConfig, parser) => {
    const { schema, documentAST, introspectionJSON, introspectionJSONString, buildSchemaOptions, documentString, } = schemaConfig;
    if (schema) {
        return schema;
    }
    if (introspectionJSONString) {
        const introspectionJSONResult = JSON.parse(introspectionJSONString);
        return graphql_1.buildClientSchema(introspectionJSONResult, buildSchemaOptions);
    }
    if (documentString) {
        const docAST = parser(documentString);
        return graphql_1.buildASTSchema(docAST, buildSchemaOptions);
    }
    if (introspectionJSON) {
        return graphql_1.buildClientSchema(introspectionJSON, buildSchemaOptions);
    }
    if (documentAST) {
        return graphql_1.buildASTSchema(documentAST, buildSchemaOptions);
    }
    throw Error('no schema supplied');
};
exports.defaultSchemaLoader = defaultSchemaLoader;
//# sourceMappingURL=schemaLoader.js.map